# $channel

Retrieves the window ID of a specified channel

Usage

    $channel[(<channel name>[,<irc context id>])]

Description

Returns the window ID of channel matching the <channel name> and bound to the connection specified by <irc context id>
If no window matches the specified name or connection, an invalid window ID is returned (0).
If no <irc context id> is specified, this function looks for the channel in the current connection context (if any).
If no <channel name> is specified, this function returns the current channel window ID, if executed in a channel, else 0.

Syntax Specification

    $channel[(<channel name>[,<irc context id>])]

See also
$window, $query, $console, window naming conventions

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 06:46:00 2013